//bridge-file-version: #16
{
	"format_version": "1.10.0",
	"animation_controllers": {
		"controller.animation.sc_pj_body": {
			"states": {
				"default": {
					"transitions": [
						{
							"default2": "(0.1)"
						}
					],
					"on_entry": [
						"/execute @s ~ ~ ~ execute @e[tag=sc_pj_body1,rm=0.8] ~ ~ ~ tp @s ^ ^ ^0.5 facing @e[type=sc:pj]",
						"/execute @e[tag=sc_pj_body1] ~ ~ ~ execute @e[tag=sc_pj_body2,rm=1] ~ ~ ~ tp @s ^ ^ ^0.5 facing @e[tag=sc_pj_body1]",
						"/execute @e[tag=sc_pj_body2] ~ ~ ~ execute @e[tag=sc_pj_body3,rm=1] ~ ~ ~ tp @s ^ ^ ^0.5 facing @e[tag=sc_pj_body2]",
						"/execute @e[tag=sc_pj_body3] ~ ~ ~ execute @e[tag=sc_pj_body4,rm=1] ~ ~ ~ tp @s ^ ^ ^0.5 facing @e[tag=sc_pj_body3]",
						"/execute @e[tag=sc_pj_body4] ~ ~ ~ execute @e[tag=sc_pj_body5,rm=1] ~ ~ ~ tp @s ^ ^ ^0.5 facing @e[tag=sc_pj_body4]",
						"/execute @e[tag=sc_pj_body5] ~ ~ ~ execute @e[tag=sc_pj_body6,rm=1] ~ ~ ~ tp @s ^ ^ ^0.5 facing @e[tag=sc_pj_body5]",
						"/execute @e[tag=sc_pj_body6] ~ ~ ~ execute @e[tag=sc_pj_body7,rm=1] ~ ~ ~ tp @s ^ ^ ^0.5 facing @e[tag=sc_pj_body6]",
						"/execute @e[tag=sc_pj_body7] ~ ~ ~ execute @e[tag=sc_pj_body8,rm=1] ~ ~ ~ tp @s ^ ^ ^0.5 facing @e[tag=sc_pj_body7]",
						"/execute @e[tag=sc_pj_body8] ~ ~ ~ execute @e[tag=sc_pj_body9,rm=1] ~ ~ ~ tp @s ^ ^ ^0.5 facing @e[tag=sc_pj_body8]",
						"/execute @e[tag=sc_pj_body9] ~ ~ ~ execute @e[tag=sc_pj_body10,rm=1] ~ ~ ~ tp @s ^ ^ ^0.5 facing @e[tag=sc_pj_body9]",
						"/execute @e[tag=sc_pj_body10] ~ ~ ~ execute @e[tag=sc_pj_body11,rm=1] ~ ~ ~ tp @s ^ ^ ^0.5 facing @e[tag=sc_pj_body10]",
						"/execute @e[tag=sc_pj_body11] ~ ~ ~ execute @e[tag=sc_pj_body12,rm=1] ~ ~ ~ tp @s ^ ^ ^0.5 facing @e[tag=sc_pj_body11]",
						"/execute @e[tag=sc_pj_body12] ~ ~ ~ execute @e[tag=sc_pj_body13,rm=1] ~ ~ ~ tp @s ^ ^ ^0.5 facing @e[tag=sc_pj_body12]",
						"/execute @e[tag=sc_pj_body13] ~ ~ ~ execute @e[tag=sc_pj_body14,rm=1] ~ ~ ~ tp @s ^ ^ ^0.5 facing @e[tag=sc_pj_body13]",
						"/execute @e[tag=sc_pj_body14] ~ ~ ~ execute @e[tag=sc_pj_body15,rm=1] ~ ~ ~ tp @s ^ ^ ^0.5 facing @e[tag=sc_pj_body14]",
						"/execute @e[tag=sc_pj_body15] ~ ~ ~ execute @e[tag=sc_pj_body16,rm=1] ~ ~ ~ tp @s ^ ^ ^0.5 facing @e[tag=sc_pj_body15]"
					]
				},
				"default2": {
					"transitions": [
						{
							"default": "(0.1)"
						}
					],
					"on_entry": [
						"/execute @s ~ ~ ~ execute @e[tag=sc_pj_body1,rm=0.8] ~ ~ ~ tp @s ^ ^ ^0.5 facing @e[type=sc:pj]",
						"/execute @e[tag=sc_pj_body1] ~ ~ ~ execute @e[tag=sc_pj_body2,rm=1] ~ ~ ~ tp @s ^ ^ ^0.5 facing @e[tag=sc_pj_body1]",
						"/execute @e[tag=sc_pj_body2] ~ ~ ~ execute @e[tag=sc_pj_body3,rm=1] ~ ~ ~ tp @s ^ ^ ^0.5 facing @e[tag=sc_pj_body2]",
						"/execute @e[tag=sc_pj_body3] ~ ~ ~ execute @e[tag=sc_pj_body4,rm=1] ~ ~ ~ tp @s ^ ^ ^0.5 facing @e[tag=sc_pj_body3]",
						"/execute @e[tag=sc_pj_body4] ~ ~ ~ execute @e[tag=sc_pj_body5,rm=1] ~ ~ ~ tp @s ^ ^ ^0.5 facing @e[tag=sc_pj_body4]",
						"/execute @e[tag=sc_pj_body5] ~ ~ ~ execute @e[tag=sc_pj_body6,rm=1] ~ ~ ~ tp @s ^ ^ ^0.5 facing @e[tag=sc_pj_body5]",
						"/execute @e[tag=sc_pj_body6] ~ ~ ~ execute @e[tag=sc_pj_body7,rm=1] ~ ~ ~ tp @s ^ ^ ^0.5 facing @e[tag=sc_pj_body6]",
						"/execute @e[tag=sc_pj_body7] ~ ~ ~ execute @e[tag=sc_pj_body8,rm=1] ~ ~ ~ tp @s ^ ^ ^0.5 facing @e[tag=sc_pj_body7]",
						"/execute @e[tag=sc_pj_body8] ~ ~ ~ execute @e[tag=sc_pj_body9,rm=1] ~ ~ ~ tp @s ^ ^ ^0.5 facing @e[tag=sc_pj_body8]",
						"/execute @e[tag=sc_pj_body9] ~ ~ ~ execute @e[tag=sc_pj_body10,rm=1] ~ ~ ~ tp @s ^ ^ ^0.5 facing @e[tag=sc_pj_body9]",
						"/execute @e[tag=sc_pj_body10] ~ ~ ~ execute @e[tag=sc_pj_body11,rm=1] ~ ~ ~ tp @s ^ ^ ^0.5 facing @e[tag=sc_pj_body10]",
						"/execute @e[tag=sc_pj_body11] ~ ~ ~ execute @e[tag=sc_pj_body12,rm=1] ~ ~ ~ tp @s ^ ^ ^0.5 facing @e[tag=sc_pj_body11]",
						"/execute @e[tag=sc_pj_body12] ~ ~ ~ execute @e[tag=sc_pj_body13,rm=1] ~ ~ ~ tp @s ^ ^ ^0.5 facing @e[tag=sc_pj_body12]",
						"/execute @e[tag=sc_pj_body13] ~ ~ ~ execute @e[tag=sc_pj_body14,rm=1] ~ ~ ~ tp @s ^ ^ ^0.5 facing @e[tag=sc_pj_body13]",
						"/execute @e[tag=sc_pj_body14] ~ ~ ~ execute @e[tag=sc_pj_body15,rm=1] ~ ~ ~ tp @s ^ ^ ^0.5 facing @e[tag=sc_pj_body14]",
						"/execute @e[tag=sc_pj_body15] ~ ~ ~ execute @e[tag=sc_pj_body16,rm=1] ~ ~ ~ tp @s ^ ^ ^0.5 facing @e[tag=sc_pj_body15]"
					]
				}
			}
		},
		"controller.animation.pj_tel": {
			"initial_state": "default",
			"states": {
				"default": {
					"transitions": [
						{
							"default2": "query.has_target ? (query.target -> query.is_sprinting) : 0"
						}
					]
				},
				"default2": {
					"on_entry": [
						"/tp @a[tag=!lo] ~ ~ ~1.5"
					],
					"transitions": [
						{
							"default": "query.has_target ? (query.target -> query.is_sprinting) : 0"
						}
					]
				}
			}
		},
		"controller.animation.sc_pj_target": {
			"states": {
				"default": {
					"transitions": [
						{
							"angry": "query.has_target ? (query.target -> q.has_any_family('player'))"
						}
					],
					"on_entry": [
						"@s normal_speed",
						"/stopsound @a sound.pj.chasetest"
					]
				},
				"angry": {
					"transitions": [
						{
							"default": "!query.has_target"
						}
					],
					"on_entry": [
						"@s slow"
					]
				}
			}
		}
	}
}
\\"": \\\\""?\\\"": \\\\""?\\\"": \\\\""?\\\"": \\\\""?\\\"": \\\\""?\\\"": \\\\""?\\\"": \\\\""?\\\"": \\\\""?\\\"": \\\\""?\\\"": \\\\""?\\\"": \\\\""?\\\"": \\\\""?\\\"": \\\\""?\\\"": \\\\""?\\\"": \\\\""?\\\"": \\\\""?\\\"": \\\\""?\\\"": \\\\""?\\\"": \\\\""?\\\"": \\\\""?\\\"": \\\\""?\\\"": \\\\""?\\\"": \\\\""?\\\"": \\\\""?\\\"": \\\\""?\\\"": \\\\""?\\\"": \\\\""?\\\"": \\\\""?\\\"": \\\\""?\\\"": \\\\""?\\\"": \\\\""?\\\"": \\\\""?\\\"": \\\\""?\\\"": \\\\""?\\\"": \\\\""?\\\"": \\\\""?\\\"": \\\\""?\\\"": \\\\""?\\\"": \\\\""?\\\"": \\\\""?\\\"": \\\\""?\\\"": \\\\""?\\\"": \\\\""?\\\"": \\\\""?\\\"": \\\\""?\\\"": \\\\""?\\\"": \\\\""?\\\"": \\\\""?\\\"": \\\\""?\\\"": \\\\""?\\\"": \\\\""?\]}}}}}